Skip to content

Get a single ticketfile ​

GET
/v1/ticketfiles/{ticketfile_id}

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

ticketfile_id*

XS2event ID of the Ticket File

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
ticket_id
Type
string
assignment_status
Type
string
Valid values
"pending""processing""failed""completed""cancelled""reserved""merged""blocked""pendingticketupload"

Responses​

OK

application/json
JSON
{
  
"ticketfile_id": null,
  
"ticket_sha": null,
  
"serial": null,
  
"section": null,
  
"seat": null,
  
"row": null,
  
"upload_status": null,
  
"upload_info": null,
  
"read_status": null,
  
"read_info": null,
  
"scan_status": null,
  
"scan_info": null,
  
"assignment_status": null,
  
"assignment_info": null,
  
"bookingorder_id": null,
  
"orderitem_id": null,
  
"updated": null,
  
"hint": null,
  
"download_friendly_name": null,
  
"version": 6,
  
"number_of_pages": null,
  
"sub_category": null,
  
"download_items_csv": null,
  
"azure_data": null,
  
"scan_data": {
  
  
"additionalProperties": "string"
  
},
  
"ticket_id": null,
  
"original_filename": null,
  
"auto_assign": null
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​